Bug 1507656 - Crashes trying to set keyboard map when logging in
Summary: Crashes trying to set keyboard map when logging in
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c50731d04df538049ea732054a5...
: 1398128 1398142 1441490 1538656 (view as bug list)
Depends On:
Blocks: 1543128
TreeView+ depends on / blocked
 
Reported: 2017-10-30 20:08 UTC by Peter
Modified: 2019-05-28 19:05 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1543128 (view as bug list)
Environment:
Last Closed: 2019-05-28 19:05:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (78.29 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: cgroup (289 bytes, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: core_backtrace (49.31 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: cpuinfo (1.60 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: dso_list (28.94 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: environ (1.49 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: exploitable (100 bytes, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: maps (156.64 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: open_fds (135.81 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details
File: var_log_messages (11.24 KB, text/plain)
2017-10-30 20:08 UTC, Peter
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 782688 None None None 2019-05-09 21:05:59 UTC

Description Peter 2017-10-30 20:08:21 UTC
Version-Release number of selected component:
gnome-shell-3.26.1-2.fc27

Additional info:
reporter:       libreport-2.9.2
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: xkb_keymap_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=d32a4e29ca0d4b22a542259de8ac73f9;i=bf7;b=b19664eb73b0447bbdb8b1b3f88fbff0;m=57a2f0e;t=55cc7446575af;x=74257d2a0d68a86f
kernel:         4.13.9-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xkb_keymap_ref at src/keymap.c:59
 #1 clutter_evdev_set_keyboard_map at evdev/clutter-device-manager-evdev.c:2409
 #2 meta_backend_native_set_keymap at backends/native/meta-backend-native.c:496
 #3 ffi_call_unix64 at ../src/x86/unix64.S:76
 #4 ffi_call at ../src/x86/ffi64.c:525
 #5 gjs_invoke_c_function at gi/function.cpp:1033
 #6 function_call at gi/function.cpp:1351
 #7 js::CallJSNative at /usr/src/debug/mozjs52-52.4.0-1.fc27.x86_64/jscntxtinlines.h:239
 #8 js::InternalCallOrConstruct at /usr/src/debug/mozjs52-52.4.0-1.fc27.x86_64/vm/Interpreter.cpp:447
 #9 js::CallFromStack at /usr/src/debug/mozjs52-52.4.0-1.fc27.x86_64/vm/Interpreter.cpp:510

Potential duplicate: bug 1349265

Comment 1 Peter 2017-10-30 20:08:29 UTC
Created attachment 1345587 [details]
File: backtrace

Comment 2 Peter 2017-10-30 20:08:31 UTC
Created attachment 1345588 [details]
File: cgroup

Comment 3 Peter 2017-10-30 20:08:34 UTC
Created attachment 1345589 [details]
File: core_backtrace

Comment 4 Peter 2017-10-30 20:08:35 UTC
Created attachment 1345590 [details]
File: cpuinfo

Comment 5 Peter 2017-10-30 20:08:38 UTC
Created attachment 1345592 [details]
File: dso_list

Comment 6 Peter 2017-10-30 20:08:40 UTC
Created attachment 1345593 [details]
File: environ

Comment 7 Peter 2017-10-30 20:08:42 UTC
Created attachment 1345594 [details]
File: exploitable

Comment 8 Peter 2017-10-30 20:08:43 UTC
Created attachment 1345595 [details]
File: limits

Comment 9 Peter 2017-10-30 20:08:48 UTC
Created attachment 1345596 [details]
File: maps

Comment 10 Peter 2017-10-30 20:08:53 UTC
Created attachment 1345597 [details]
File: open_fds

Comment 11 Peter 2017-10-30 20:08:55 UTC
Created attachment 1345598 [details]
File: proc_pid_status

Comment 12 Peter 2017-10-30 20:08:57 UTC
Created attachment 1345599 [details]
File: var_log_messages

Comment 13 Christian Stadelmann 2017-11-29 21:12:34 UTC
I am seeing this crash quite often on login, where gnome-shell crashes before having finished startup, and which results in an Xwayland crash: https://bugzilla.redhat.com/show_bug.cgi?id=1510078

Comment 14 Christian Stadelmann 2017-11-29 22:03:24 UTC
Also, the crash has been present for a few releases:
https://bugzilla.redhat.com/show_bug.cgi?id=1398128
https://bugzilla.redhat.com/show_bug.cgi?id=1398142
https://bugzilla.redhat.com/show_bug.cgi?id=1441490

More details and a few hints what might cause the bug can be found upstream: https://bugzilla.gnome.org/show_bug.cgi?id=782688

Comment 15 Christian Stadelmann 2017-11-29 22:16:52 UTC
Just in case, this is the logging output before the crash from xkbcommon:

Nov 29 20:17:53 hostname org.gnome.Shell.desktop[2161]: xkbcommon: ERROR: Couldn't find file "rules/evdev" in include paths
Nov 29 20:17:53 hostname org.gnome.Shell.desktop[2161]: xkbcommon: ERROR: 1 include paths searched:
Nov 29 20:17:53 hostname org.gnome.Shell.desktop[2161]: xkbcommon: ERROR:         /usr/share/X11/xkb
Nov 29 20:17:53 hostname org.gnome.Shell.desktop[2161]: xkbcommon: ERROR: 1 include paths could not be added:
Nov 29 20:17:53 hostname org.gnome.Shell.desktop[2161]: xkbcommon: ERROR:         /home/username/.xkb
Nov 29 20:17:53 hostname org.gnome.Shell.desktop[2161]: xkbcommon: ERROR: Couldn't look up rules 'evdev', model 'pc105+inet', layout 'de,de,us,de', variant 'neo,nodeadkeys,,', options 'grp:sclk_toggle'
Nov 29 20:17:53 hostname kernel: show_signal_msg: 51 callbacks suppressed

Comment 16 Mikhail 2017-12-06 20:05:24 UTC
Similar problem has been detected:

just login into system with Wayland session

reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: xkb_keymap_ref
executable:     /usr/bin/gnome-shell
journald_cursor: s=76d2444e84524432975cafac5aee4189;i=43be;b=12b9130fb96040639cb156369526bbe1;m=33b743f;t=55fb15ea0db39;x=3a0c58ae732ae94b
kernel:         4.15.0-rc2-amd-vega+
package:        gnome-shell-3.26.2-1.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Andrey 2018-01-25 14:46:55 UTC
*** Bug 1538656 has been marked as a duplicate of this bug. ***

Comment 18 Don Swaner 2018-05-23 14:06:15 UTC
Attempted to login.  gnome-shell crashed.  A second login succeeded.
Happens maybe once a week or so.

reason:         xkb_keymap_ref(): gnome-shell killed by SIGSEGV
time:           Wed 23 May 2018 08:33:46 AM EDT
cmdline:        /usr/bin/gnome-shell
package:        gnome-shell-3.26.2-5.fc27

:May 23 08:33:28 gecko1.bugbane-hollow gnome-shell[14217]: GNOME Shell started at Wed May 23 2018 08:33:25 GMT-0400 (EDT)
:May 23 08:33:41 gecko1.bugbane-hollow org.gnome.Shell.desktop[14217]: xkbcommon: ERROR: Couldn't find file "rules/evdev" in include paths
:May 23 08:33:41 gecko1.bugbane-hollow org.gnome.Shell.desktop[14217]: xkbcommon: ERROR: 1 include paths searched:
:May 23 08:33:41 gecko1.bugbane-hollow org.gnome.Shell.desktop[14217]: xkbcommon: ERROR:         /usr/share/X11/xkb
:May 23 08:33:41 gecko1.bugbane-hollow org.gnome.Shell.desktop[14217]: xkbcommon: ERROR: 1 include paths could not be added:
:May 23 08:33:41 gecko1.bugbane-hollow org.gnome.Shell.desktop[14217]: xkbcommon: ERROR:         /home/dswaner/.xkb
:May 23 08:33:41 gecko1.bugbane-hollow org.gnome.Shell.desktop[14217]: xkbcommon: ERROR: Couldn't look up rules 'evdev', model 'pc105+inet', layout 'us,us', variant ',', options ''
:May 23 08:33:44 gecko1.bugbane-hollow org.gnome.Shell.desktop[14217]: (EE) failed to read Wayland events: Broken pipe

Comment 19 Don Swaner 2018-05-24 01:06:06 UTC
Today I logged in and out of the desktop about 12 times, and 4 times this abrt happened - the second login attempt always succeeded.

Comment 20 Don Swaner 2018-06-01 22:32:20 UTC
Still happening in F28.

Comment 21 Debarshi Ray 2018-08-08 06:08:41 UTC
*** Bug 1441490 has been marked as a duplicate of this bug. ***

Comment 22 Debarshi Ray 2018-08-08 06:09:48 UTC
*** Bug 1398128 has been marked as a duplicate of this bug. ***

Comment 23 Debarshi Ray 2018-08-08 06:09:50 UTC
*** Bug 1398142 has been marked as a duplicate of this bug. ***

Comment 24 Michael 2018-08-08 07:46:05 UTC
Would be great if this bug gets a higher priority assigned. I'm dealing with that issue for at least a year now.

Background information: I installed the Fedora 28 with the language English (United Kingdom) and German keyboard layout.

Further, a couple of other bugs seem to be related:
bug 1559256
bug 1579811
bug 1584589

Thanks a lot in advance.

Comment 25 Ben Cotton 2018-11-27 14:49:57 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 26 Ben Cotton 2018-11-30 22:22:01 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 27 Christian Stadelmann 2018-12-02 13:21:07 UTC
Reopening as of comment #24. Do you still see this bug in Fedora 29?

Comment 28 Ben Cotton 2019-05-02 20:11:49 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 29 Ben Cotton 2019-05-28 19:05:31 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.